(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory() :
    typeof define === 'function' && define.amd ? define(factory) :
    (factory());
}(this, (function () { 'use strict';

    var version = 2.0;

    var sayHello = function sayHello() {
        return 'Welcome to CliteHD ' + version.toFixed(1);
    };
    var createRoom = function createRoom(username, password) {
        var domain = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'v2.clitehd.com';

        var form = document.createElement('form');

        form.setAttribute('method', 'post');
        form.setAttribute('action', 'https://' + domain + '/api/externalSignin');
        form.setAttribute('target', '_blank');
        var txtUsername = document.createElement('input');

        txtUsername.type = 'hidden';
        txtUsername.name = 'username';
        txtUsername.value = username;
        form.appendChild(txtUsername);
        var txtPassword = document.createElement('input');

        txtPassword.type = 'hidden';
        txtPassword.name = 'password';
        txtPassword.value = password;
        form.appendChild(txtPassword);
        document.body.appendChild(form);
        form.submit();
        document.body.removeChild(form);
    };

    var joinRoom = function joinRoom(roomname) {
        var domain = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'v2.clitehd.com';

        window.open('https://' + domain + '/' + roomname, '_blank');
    };

    module.exports = {
        sayHello: sayHello,
        createRoom: createRoom,
        joinRoom: joinRoom
    };

})));
//# sourceMappingURL=clitehd-external-api.js.map
